/*
 * libs.h - Component libraries
 *
 * Copyright 2012 by Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef LIBS_H
#define LIBS_H

struct name {
	const char *s;
	struct name *next;
};

const char *lookup_sym(const char *name, const struct name **names, int *units);
void add_lib(const char *path);
void add_libdir(const char *path);

#endif /* !LIBS_H */
